de.esprit.appsuite.task.monitor

## Class TaskMonitorController<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.monitor.TaskMonitorController<C>

- All Implemented Interfaces:
    ApplicationObject<C>, SimpleLogSupport, Dumpable

      public final class TaskMonitorController<C extends ApplicationContext>
      extends AbstractApplicationObject<C>

  This controller is responsible for passing `RunState` change notifications to all added `TaskMonitor`s. A `TaskMonitor` receives a copy of the current `RunStateFlag` together with specific state-information .
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskMonitorController(C ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMonitor(TaskMonitor monitor)`
    `void` | `clearMonitors()`
    `int` | `getMonitorCount()`
    `TaskMonitor[]` | `getMonitors()`
    `boolean` | `hasMonitor()`
    `void` | `notifyCancelled(RunStateFlag stateFlag)`
    `void` | `notifyChildTaskFinished(RunStateFlag stateFlag)`
    `void` | `notifyChildTaskStarted(RunStateFlag stateFlag)`
    `void` | `notifyChildTaskSucceeded(RunStateFlag stateFlag, java.lang.Object result)`
    `void` | `notifyFailed(RunStateFlag stateFlag, java.lang.Exception error)`
    `void` | `notifyMainTaskFinished(RunStateFlag stateFlag)`
    `void` | `notifyMainTaskStarted(RunStateFlag stateFlag)`
    `void` | `notifyMainTaskSucceeded(RunStateFlag stateFlag, java.lang.Object result)`
    `void` | `notifyTaskProceeded(RunStateFlag stateFlag, java.lang.Object result, int step, int maxSteps, java.lang.String message)`
    `void` | `removeMonitor(TaskMonitor monitor)`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskMonitorController

          public TaskMonitorController(C ctx)

  - ### Method Detail

    - #### addMonitor

          public void addMonitor(TaskMonitor monitor)

    - #### removeMonitor

          public void removeMonitor(TaskMonitor monitor)

    - #### getMonitors

          public TaskMonitor[] getMonitors()

    - #### getMonitorCount

          public int getMonitorCount()

    - #### hasMonitor

          public boolean hasMonitor()

    - #### clearMonitors

          public void clearMonitors()

    - #### notifyTaskProceeded

          public void notifyTaskProceeded(RunStateFlag stateFlag,
                                 java.lang.Object result,
                                 int step,
                                 int maxSteps,
                                 java.lang.String message)

    - #### notifyCancelled

          public void notifyCancelled(RunStateFlag stateFlag)

    - #### notifyFailed

          public void notifyFailed(RunStateFlag stateFlag,
                          java.lang.Exception error)

    - #### notifyMainTaskStarted

          public void notifyMainTaskStarted(RunStateFlag stateFlag)

    - #### notifyMainTaskSucceeded

          public void notifyMainTaskSucceeded(RunStateFlag stateFlag,
                                     java.lang.Object result)

    - #### notifyMainTaskFinished

          public void notifyMainTaskFinished(RunStateFlag stateFlag)

    - #### notifyChildTaskStarted

          public void notifyChildTaskStarted(RunStateFlag stateFlag)

    - #### notifyChildTaskSucceeded

          public void notifyChildTaskSucceeded(RunStateFlag stateFlag,
                                      java.lang.Object result)

    - #### notifyChildTaskFinished

          public void notifyChildTaskFinished(RunStateFlag stateFlag)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.